stages:
  prepare:
    cmd: python3 src/prepare.py
    deps:
      - data/raw/data.csv
      - src/prepare.py
    params:
      - prepare.data_track_number
    outs:
      - data/prepared/data.csv
  fit:
    cmd: python3 src/fit.py
    deps:
      - src/fit.py
      - data/prepared/data.csv
    params:
      - fit.poly_order
    outs:
      - results/polynomial_coefficients.json
    metrics:
      - results/scores.json:
          cache: false
  plot:
    cmd: python3 src/plot.py
    deps:
      - src/plot.py
      - data/prepared/data.csv
      - results/polynomial_coefficients.json
    outs:
      - results/fitting.png
    plots:
      - results/deviation.csv:
          cache: false
          x: x
          y: deviation
